Fapi_GetAppData(3)

NAME
Fapi_GetAppData - Fapi_GetAppData

SYNOPSIS

  Functions

TSS2_RC Fapi_GetAppData (FAPI_CONTEXT *context, char const *path, uint8_t **appData, size_t *appDataSize)
TSS2_RC Fapi_GetAppData_Async (FAPI_CONTEXT *context, char const *path)
TSS2_RC Fapi_GetAppData_Finish (FAPI_CONTEXT *context, uint8_t **appData, size_t *appDataSize)

Detailed Description

FAPI functions to invoke GetAppData either as one-call or in an asynchronous manner.

Function Documentation

  TSS2_RC Fapi_GetAppData (FAPI_CONTEXT * context, char const * path, uint8_t ** appData, size_t * appDataSize)
One-Call function for Fapi_GetAppData

Every object has a description field that can be retrieved in order to obtain additional information in its "path" entry.

Parameters
    context The FAPI_CONTEXT
    path The path to the object for which the appData is returned
    appData A copy of the appData. May be NULL (callee-allocated)
    appDataSize The size of the returned AppData. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  TSS2_RC Fapi_GetAppData_Async (FAPI_CONTEXT * context, char const * path)
Asynchronous function for Fapi_GetAppData

Every object has a description field that can be retrieved in order to obtain additional information in its "path" entry.

Call Fapi_GetAppData_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    path The path to the object for which the appData is returned

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  TSS2_RC Fapi_GetAppData_Finish (FAPI_CONTEXT * context, uint8_t ** appData, size_t * appDataSize)
Asynchronous finish function for Fapi_GetAppData

This function should be called after a previous Fapi_GetAppData_Async.

Parameters
    context The FAPI_CONTEXT
    appData A copy of the appData. May be Null (callee-allocated)
    appDataSize The size of the returned AppData. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_BAD_PATH if a path is used in inappropriate context or contains illegal characters.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.